Redmine - Feature #23892

Switch date pickers embedded in browsers or bundled in redmine
2016-09-22 10:35 - Pavel Potcheptsov

Status: New Start date:

Priority: Normal Due date:

Assignee: % Done: 0%
Category: ul Estimated time: 0.00 hour
Target version:

Resolution:

Description

Recent versions of Chrome and Edge have their own date pickers which overwrite bundled one in redmine.
This is annoying.

For some reason this effect started after upgrade from 3.2.0 to 3.3.0.

Is it possible to discard browsers' native date picker and always use redmine's own date picker?

Related issues:

Related to Redmine - Defect #23224: Datepicker doesn't obey the user's settin... New
Related to Redmine - Patch #19468: Replace jQuery Ul Datepicker with native b... Closed
Related to Redmine - Feature #31300: Automatically switch between native date... New
History

#1 - 2016-09-22 14:55 - Toshi MARUYAMA
- Related to Defect #23224: Datepicker doesn't obey the user's settings format added

#2 - 2016-09-22 14:57 - Toshi MARUYAMA
- Tracker changed from Defect to Feature

- Subject changed from Detect date pickers embedded in recent version of browsers and use bundled one in redmine to switch date pickers
embedded in browsers or bundled one in redmine

#3 - 2016-09-22 14:57 - Toshi MARUYAMA
- Related to Patch #19468: Replace jQuery Ul Datepicker with native browser date fields when available added

#4 - 2016-09-22 14:58 - Toshi MARUYAMA

- Subject changed from switch date pickers embedded in browsers or bundled one in redmine to Switch date pickers embedded in browsers or
bundled in redmine

#5 - 2018-11-19 22:36 - Systems Administration

+1, unfortunately | use a browser in a language which is different from Redmine user's language, so the Ul is quite confusing now.

#6 - 2019-04-29 05:09 - Go MAEDA
- File edge-calendar.png added

+1
The date picker in Edge is awful. It is not a calendar style. | think users should be able to switch the native or jquery date picker in the user
preference.

2025-05-09 1/2




Spent time
Filters
Date iz | [mmsdd /vy | Add ﬂlter|
' NOVEITIDET £ 2UT4
Options ~ ~
December 25 2015
« Apply 9 Clear January 26 2016
February 27 2017
Details | Report ‘
March 28 2018
7 Hours: 1820
April 29 2019
1 Date User  Activity o 20 2020 Hours
§"-§—.r.’|5
)4/25/20 B Ey 2 sk ag- :
[] 04/25/2018 {FF &4 = HEHL | e . 2021 4:00
Bl
[] 04/23/2018 & &K ; e s July 2 2022 2:00
Er =g S " 2022
[] 04/23/2019 FE &k F oy August : L 2:00
sn= ’E [ e I A mTatal |
So=T
04/23/2018 HLE EE . )14 %21 v X 0:00
E

e i s
#7 - 2019-04-29 09:50 - Marius BALTEANU
Go MAEDA wrote:

+1

The date picker in Edge is awful. It is not a calendar style. | think users should be able to switch the native or jquery date picker in the user
preference.

| agree with you, with only one difference: the switch between native or custom date picker should be made by Redmine depending on the device:
1. mobile devices: native date pickers.

2. non mobile devices: custom date picker.

Otherwise, users will not benefit fully of the features offered by both implementations.

#8 - 2019-05-05 13:35 - Marius BALTEANU

- Related to Feature #31300: Automatically switch between native date picker and custom date picker based on mobile or not mobile devices added

#9 - 2019-05-05 13:58 - Marius BALTEANU
I've added a proposal in #31300.
